/*
 * Copyright 2020 Tadashi G. Takaoka
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __TEXT_CDP1802__
#define __TEXT_CDP1802__

namespace libasm {
namespace cdp1802 {

static const char TEXT_ADC[]  PROGMEM = "ADC";
static const char TEXT_ADCI[] PROGMEM = "ADCI";
static const char TEXT_ADD[]  PROGMEM = "ADD";
static const char TEXT_ADI[]  PROGMEM = "ADI";
static const char TEXT_AND[]  PROGMEM = "AND";
static const char TEXT_ANI[]  PROGMEM = "ANI";
static const char TEXT_B1[]   PROGMEM = "B1";
static const char TEXT_B2[]   PROGMEM = "B2";
static const char TEXT_B3[]   PROGMEM = "B3";
static const char TEXT_B4[]   PROGMEM = "B4";
static const char TEXT_BDF[]  PROGMEM = "BDF";
static const char TEXT_BGE[]  PROGMEM = "BGE";
static const char TEXT_BL[]   PROGMEM = "BL";
static const char TEXT_BM[]   PROGMEM = "BM";
static const char TEXT_BN1[]  PROGMEM = "BN1";
static const char TEXT_BN2[]  PROGMEM = "BN2";
static const char TEXT_BN3[]  PROGMEM = "BN3";
static const char TEXT_BN4[]  PROGMEM = "BN4";
static const char TEXT_BNF[]  PROGMEM = "BNF";
static const char TEXT_BNQ[]  PROGMEM = "BNQ";
static const char TEXT_BNZ[]  PROGMEM = "BNZ";
static const char TEXT_BPZ[]  PROGMEM = "BPZ";
static const char TEXT_BQ[]   PROGMEM = "BQ";
static const char TEXT_BR[]   PROGMEM = "BR";
static const char TEXT_BZ[]   PROGMEM = "BZ";
static const char TEXT_DEC[]  PROGMEM = "DEC";
static const char TEXT_DIS[]  PROGMEM = "DIS";
static const char TEXT_GHI[]  PROGMEM = "GHI";
static const char TEXT_GLO[]  PROGMEM = "GLO";
static const char TEXT_IDL[]  PROGMEM = "IDL";
static const char TEXT_INC[]  PROGMEM = "INC";
static const char TEXT_INP[]  PROGMEM = "INP";
static const char TEXT_IRX[]  PROGMEM = "IRX";
static const char TEXT_LBDF[] PROGMEM = "LBDF";
static const char TEXT_LBNF[] PROGMEM = "LBNF";
static const char TEXT_LBNQ[] PROGMEM = "LBNQ";
static const char TEXT_LBNZ[] PROGMEM = "LBNZ";
static const char TEXT_LBQ[]  PROGMEM = "LBQ";
static const char TEXT_LBR[]  PROGMEM = "LBR";
static const char TEXT_LBZ[]  PROGMEM = "LBZ";
static const char TEXT_LDA[]  PROGMEM = "LDA";
static const char TEXT_LDI[]  PROGMEM = "LDI";
static const char TEXT_LDN[]  PROGMEM = "LDN";
static const char TEXT_LDX[]  PROGMEM = "LDX";
static const char TEXT_LDXA[] PROGMEM = "LDXA";
static const char TEXT_LSDF[] PROGMEM = "LSDF";
static const char TEXT_LSIE[] PROGMEM = "LSIE";
static const char TEXT_LSKP[] PROGMEM = "LSKP";
static const char TEXT_LSNF[] PROGMEM = "LSNF";
static const char TEXT_LSNQ[] PROGMEM = "LSNQ";
static const char TEXT_LSNZ[] PROGMEM = "LSNZ";
static const char TEXT_LSQ[]  PROGMEM = "LSQ";
static const char TEXT_LSZ[]  PROGMEM = "LSZ";
static const char TEXT_MARK[] PROGMEM = "MARK";
static const char TEXT_NBR[]  PROGMEM = "NBR";
static const char TEXT_NLBR[] PROGMEM = "NLBR";
static const char TEXT_NOP[]  PROGMEM = "NOP";
static const char TEXT_OR[]   PROGMEM = "OR";
static const char TEXT_ORI[]  PROGMEM = "ORI";
static const char TEXT_OUT[]  PROGMEM = "OUT";
static const char TEXT_PHI[]  PROGMEM = "PHI";
static const char TEXT_PLO[]  PROGMEM = "PLO";
static const char TEXT_REQ[]  PROGMEM = "REQ";
static const char TEXT_RET[]  PROGMEM = "RET";
static const char TEXT_RSHL[] PROGMEM = "RSHL";
static const char TEXT_RSHR[] PROGMEM = "RSHR";
static const char TEXT_SAV[]  PROGMEM = "SAV";
static const char TEXT_SD[]   PROGMEM = "SD";
static const char TEXT_SDB[]  PROGMEM = "SDB";
static const char TEXT_SDBI[] PROGMEM = "SDBI";
static const char TEXT_SDI[]  PROGMEM = "SDI";
static const char TEXT_SEP[]  PROGMEM = "SEP";
static const char TEXT_SEQ[]  PROGMEM = "SEQ";
static const char TEXT_SEX[]  PROGMEM = "SEX";
static const char TEXT_SHL[]  PROGMEM = "SHL";
static const char TEXT_SHLC[] PROGMEM = "SHLC";
static const char TEXT_SHR[]  PROGMEM = "SHR";
static const char TEXT_SHRC[] PROGMEM = "SHRC";
static const char TEXT_SKP[]  PROGMEM = "SKP";
static const char TEXT_SM[]   PROGMEM = "SM";
static const char TEXT_SMB[]  PROGMEM = "SMB";
static const char TEXT_SMBI[] PROGMEM = "SMBI";
static const char TEXT_SMI[]  PROGMEM = "SMI";
static const char TEXT_STR[]  PROGMEM = "STR";
static const char TEXT_STXD[] PROGMEM = "STXD";
static const char TEXT_XOR[]  PROGMEM = "XOR";
static const char TEXT_XRI[]  PROGMEM = "XRI";

} // namespace cdp1802
} // namespace libasm

#endif // __TEXT_CDP1802__

// Local Variables:
// mode: c++
// c-basic-offset: 4
// tab-width: 4
// End:
// vim: set ft=cpp et ts=4 sw=4:
